Loading...
Searching...
No Matches
juce::AudioParameterFloatAttributes Class Reference

## Detailed Description

Properties of an AudioParameterFloat.

See also
  AudioParameterFloat(), RangedAudioParameterAttributes()

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/juce_AudioParameterFloat.h

Inheritance diagram for juce::AudioParameterFloatAttributes:

## Additional Inherited Members

Public Types inherited from juce::RangedAudioParameterAttributes< AudioParameterFloatAttributes, float >
using | Category
using | StringFromValue
using | ValueFromString
Public Member Functions inherited from juce::RangedAudioParameterAttributes< AudioParameterFloatAttributes, float >
auto | withStringFromValueFunction (StringFromValue x) const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
auto | withValueFromStringFunction (ValueFromString x) const
| An optional lambda function that parses a string and converts it into a non-normalised value.
auto | withLabel (String x) const
| See AudioProcessorParameterWithIDAttributes::withLabel().
auto | withCategory (Category x) const
| See AudioProcessorParameterWithIDAttributes::withCategory().
auto | withMeta (bool x) const
| See AudioProcessorParameter::isMetaParameter().
auto | withAutomatable (bool x) const
| See AudioProcessorParameter::isAutomatable().
auto | withInverted (bool x) const
| See AudioProcessorParameter::isOrientationInverted().
const auto & | getStringFromValueFunction () const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
const auto & | getValueFromStringFunction () const
| An optional lambda function that parses a string and converts it into a non-normalised value.
const auto & | getAudioProcessorParameterWithIDAttributes () const
| Gets attributes that would also apply to an AudioProcessorParameterWithID.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited